<template>
  <section
    class="relative flex items-center flex-col pt-20 pb-4 px-4 container-form-login"
  >
    <form @submit.prevent="submit" class="w-full">
      <ReaderInput
        v-model="username"
        label="Username"
        name="username"
        inputtype="text"
        link="http://www.w3.org/2000/svg"
        view="0 0 24 24"
        path="M12 12c2.21 0 4-1.79 4-4s-1.79-4-4-4-4 1.79-4 4 1.79 4 4 4zm0 2c-2.67 0-8 1.34-8 4v2h16v-2c0-2.66-5.33-4-8-4z"
        v-bind:classes="[
          'appearance-none block w-full bg-600 text-300 border border-1 border-600 pb-3 pt-5 pl-11 mb-3 leading-tight focus:outline-none focus:border-400 rounded-full peer',
        ]"
        v-bind:classeslabel="[
          this.username !== ''
            ? 'absolute left-11 text-gray-600 cursor-text text-xs top-1 transition-all'
            : 'absolute left-11 top-4 text-gray-600 cursor-text peer-focus:text-xs peer-focus:top-1 transition-all',
        ]"
      />

      <ReaderInput
        v-model="email"
        label="Email"
        name="email"
        inputtype="email"
        link="http://www.w3.org/2000/svg"
        view="0 0 24 24"
        path="M20 4H4c-1.1 0-1.99.9-1.99 2L2 18c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V6c0-1.1-.9-2-2-2zm0 4-8 5-8-5V6l8 5 8-5v2z"
        v-bind:classes="[
          'appearance-none block w-full bg-600 text-300 border border-1 border-600 pb-3 pt-5 pl-11 mb-3 leading-tight focus:outline-none focus:border-400 rounded-full peer',
        ]"
        v-bind:classeslabel="[
          this.email !== ''
            ? 'absolute left-11 text-gray-600 cursor-text text-xs top-1 transition-all'
            : 'absolute left-11 top-4 text-gray-600 cursor-text peer-focus:text-xs peer-focus:top-1 transition-all',
        ]"
      />

      <ReaderInput
        v-model="firstName"
        label="Nama Depan"
        name="firstName"
        inputtype="text"
        link="http://www.w3.org/2000/svg"
        view="0 0 24 24"
        path="M20 7h-5V4c0-1.1-.9-2-2-2h-2c-1.1 0-2 .9-2 2v3H4c-1.1 0-2 .9-2 2v11c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V9c0-1.1-.9-2-2-2zM9 12c.83 0 1.5.67 1.5 1.5S9.83 15 9 15s-1.5-.67-1.5-1.5S8.17 12 9 12zm3 6H6v-.75c0-1 2-1.5 3-1.5s3 .5 3 1.5V18zm1-9h-2V4h2v5zm5 7.5h-4V15h4v1.5zm0-3h-4V12h4v1.5z"
        v-bind:classes="[
          'appearance-none block w-full bg-600 text-300 border border-1 border-600 pb-3 pt-5 pl-11 mb-3 leading-tight focus:outline-none focus:border-400 rounded-full peer',
        ]"
        v-bind:classeslabel="[
          this.firstName !== ''
            ? 'absolute left-11 text-gray-600 cursor-text text-xs top-1 transition-all'
            : 'absolute left-11 top-4 text-gray-600 cursor-text peer-focus:text-xs peer-focus:top-1 transition-all',
        ]"
      />

      <ReaderInput
        v-model="lastName"
        label="Nama Belakang"
        name="lastName"
        link="http://www.w3.org/2000/svg"
        view="0 0 24 24"
        path="M20 7h-5V4c0-1.1-.9-2-2-2h-2c-1.1 0-2 .9-2 2v3H4c-1.1 0-2 .9-2 2v11c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V9c0-1.1-.9-2-2-2zM9 12c.83 0 1.5.67 1.5 1.5S9.83 15 9 15s-1.5-.67-1.5-1.5S8.17 12 9 12zm3 6H6v-.75c0-1 2-1.5 3-1.5s3 .5 3 1.5V18zm1-9h-2V4h2v5zm5 7.5h-4V15h4v1.5zm0-3h-4V12h4v1.5z"
        v-bind:classes="[
          'appearance-none block w-full bg-600 text-300 border border-1 border-600 pb-3 pt-5 pl-11 mb-3 leading-tight focus:outline-none focus:border-400 rounded-full peer',
        ]"
        v-bind:classeslabel="[
          this.lastName !== ''
            ? 'absolute left-11 text-gray-600 cursor-text text-xs top-1 transition-all'
            : 'absolute left-11 top-4 text-gray-600 cursor-text peer-focus:text-xs peer-focus:top-1 transition-all',
        ]"
      />

      <ReaderInput
        v-model="gender"
        label="Gender"
        name="gender"
        inputtype="text"
        link="http://www.w3.org/2000/svg"
        view="0 0 24 24"
        path="M12 12c2.21 0 4-1.79 4-4s-1.79-4-4-4-4 1.79-4 4 1.79 4 4 4zm0 2c-2.67 0-8 1.34-8 4v2h16v-2c0-2.66-5.33-4-8-4z"
        v-bind:classes="[
          'appearance-none block w-full bg-600 text-300 border border-1 border-600 pb-3 pt-5 pl-11 mb-3 leading-tight focus:outline-none focus:border-400 rounded-full peer',
        ]"
        v-bind:classeslabel="[
          this.gender !== ''
            ? 'absolute left-11 text-gray-600 cursor-text text-xs top-1 transition-all'
            : 'absolute left-11 top-4 text-gray-600 cursor-text peer-focus:text-xs peer-focus:top-1 transition-all',
        ]"
      />

      <button
        class="w-full mt-16 py-4 bg-400 font-medium text-100 button-login rounded-full"
      >
        Daftar
      </button>
    </form>
  </section>
</template>

<script>
import ReaderInput from "../../../common/ReaderInput.vue";
import { useRouter } from "vue-router";

export default {
  name: "FormSignup",
  components: {
    ReaderInput,
  },

  data() {
    return {
      username: "",
      email: "",
      firstName: "",
      lastName: "",
      gender: "",
      age: "",
    };
  },

  setup() {
    const router = useRouter();
    return { router };
  },

  methods: {
    submit() {
      console.log("clicked");
    },
  },
};
</script>
